% Demo of Template class use
% Same as http://www.sanisoft.com/phplib/manual/TemplateExamples.php

%- Create a template object and specify:
%    - template files root path: this file directory
%    - undefined fields management: keep undefined in output
tpl = template(fileparts(which(mfilename)),'keep');

%- Set the two template files and assign then a keyword
tpl = set(tpl,'file',{'page' 'box'},{'page.tpl' 'box.tpl'});

%- Set the block 'row' in the template file 'box' and assign it a keyword
tpl = set(tpl,'block','box','row','rows');

%- Set fields 'TITLE' and 'PAGETITLE' to some values
tpl = set(tpl,'var',{'TITLE' 'PAGETITLE'},{'Test Template' 'Guillaume'});

for i=1:3
	n = i;
	nn = 10 * i;
	%- Set fields 'NUM' and 'BIGNUM' to specific values
	tpl = set(tpl,'var',{'NUM' 'BIGNUM'},{num2str(n) num2str(nn)});
	%- Parse the block 'row' into 'rows' using append mode
	tpl = parse(tpl,'rows','row',1);
end

%- Parse template 'box' and then template 'page' and return output in 'OUT'
tpl = parse(tpl,'OUT', {'box' 'page'});

%- Display the content of the output of the parsing
disp(get(tpl,'OUT'))
